| Version: 3.0.4

Public Member Functions | Public Attributes | List of all members
wxHtmlHelpDataItem Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/html/helpdata.h>`

## Detailed Description

Helper class for wxHtmlHelpData.

## Public Member Functions
| wxHtmlHelpDataItem ()
wxString | GetFullPath () const
wxString | GetIndentedName () const

## Public Attributes
int | level
wxHtmlHelpDataItem * | parent
int | id
wxString | name
wxString | page
wxHtmlBookRecord * | book

## Constructor & Destructor Documentation

## ◆ wxHtmlHelpDataItem()

wxHtmlHelpDataItem::wxHtmlHelpDataItem | ( |  | ) |

## Member Function Documentation

## ◆ GetFullPath()

wxString wxHtmlHelpDataItem::GetFullPath | ( |  | ) | const

## ◆ GetIndentedName()

wxString wxHtmlHelpDataItem::GetIndentedName | ( |  | ) | const

## Member Data Documentation

## ◆ book

wxHtmlBookRecord* wxHtmlHelpDataItem::book

## ◆ id

int wxHtmlHelpDataItem::id

## ◆ level

int wxHtmlHelpDataItem::level

## ◆ name

wxString wxHtmlHelpDataItem::name

## ◆ page

wxString wxHtmlHelpDataItem::page

## ◆ parent

wxHtmlHelpDataItem* wxHtmlHelpDataItem::parent